<?php
session_start();
include("conex.php");

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $idsurcursal = intval($_POST['id']);
    $estado_actual = intval($_POST['estado']);

    // Cambia el estado (1 a 0 o 0 a 1)
     $nuevo_estado = $estado_actual == 0 ? 0 : 1;
	
	//echo $nuevo_estado;
	
    $sql = "UPDATE tbr_sucursal SET activo = $nuevo_estado WHERE idsucursal = $idsurcursal";
    $resultado = mysqli_query($conn, $sql);

    if ($resultado) {
        echo json_encode(["success" => true, "nuevo_estado" => $nuevo_estado]);
    } else {
        echo json_encode(["success" => false, "error" => mysqli_error($conn)]);
    }
}
?>
